Crazy Eddies GUI System: CEGUI::XercesParser Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::XercesParser Class Reference

Implementation of XMLParser using Xerces-C++. More...

Inheritance diagram for CEGUI::XercesParser:

[legend]
Collaboration diagram for CEGUI::XercesParser:

[legend]
List of all members.

## Public Member Functions
void | parseXMLFile (XMLHandler &handler, const String &filename, const String &schemaName, const String &resourceGroup)
| abstract method which initiates parsing of an XML file.
## Static Public Member Functions
static void | populateAttributesBlock (const XERCES_CPP_NAMESPACE::Attributes &src, XMLAttributes &dest)
| Populate the CEGUI::XMLAttributes object with attribute data from the Xerces attributes block.
static String | transcodeXmlCharToString (const XMLCh *const xmlch_str)
| Return a CEGUI::String containing the Xerces XMLChar string data in xmlch_str.
## Protected Member Functions
bool | initialiseImpl (void)
| abstract method which initialises the XMLParser ready for use.
void | cleanupImpl (void)
| abstract method which cleans up the XMLParser after use.
## Static Protected Member Functions
static void | initialiseSchema (XERCES_CPP_NAMESPACE::SAX2XMLReader *reader, const String &schemaName, const String &xmlFilename, const String &resourceGroup)
static XERCES_CPP_NAMESPACE::SAX2XMLReader * | createReader (XERCES_CPP_NAMESPACE::DefaultHandler &handler)
static void | doParse (XERCES_CPP_NAMESPACE::SAX2XMLReader *parser, const String &xmlFilename, const String &resourceGroup)

## Detailed Description

Implementation of XMLParser using Xerces-C++.

## Member Function Documentation

void CEGUI::XercesParser::cleanupImpl | ( | void |  | ) | `[protected, virtual]`

| abstract method which cleans up the XMLParser after use. Returns: Nothing. Implements CEGUI::XMLParser.

bool CEGUI::XercesParser::initialiseImpl | ( | void |  | ) | `[protected, virtual]`

| abstract method which initialises the XMLParser ready for use. Returns: true if the module initialised successfully. false if the module initialisation failed. Implements CEGUI::XMLParser.

void CEGUI::XercesParser::parseXMLFile | ( | XMLHandler & | handler,
|  | const String & | filename,
|  | const String & | schemaName,
|  | const String & | resourceGroup
| ) | `[virtual]`

  | abstract method which initiates parsing of an XML file. Parameters:
  | handler | XMLHandler based object which will process the XML elements.
  | filename | String object holding the filename of the XML file to be parsed.
  | schemaName | String object holding the name of the XML schema file to use for validating the XML. Note that whether this is used or not is dependant upon the XMLParser in use.
  | resourceGroup | String object holding the resource group identifier which will be passed to the ResourceProvider when loading the XML and schema files.
Returns: Nothing. Implements CEGUI::XMLParser.